Skip to main content
`Ctrl`+`K`

# PetscViewerHDF5HasObjectAttribute

Check whether an attribute is attached to the dataset matching the given `PetscObject` by name

## Synopsis

    #include "petscviewerhdf5.h"
    PetscErrorCode PetscViewerHDF5HasObjectAttribute(PetscViewer viewer, PetscObject obj, const char name[], PetscBool *has)

Collective

## Input Parameters

- viewer - The `PETSCVIEWERHDF5` viewer

- obj - The object whose name is used to lookup the parent dataset, relative to the current group.

- name - The attribute name

## Output Parameter

- has - Flag for attribute existence

## Note

This fails if current_group/object_name doesn’t resolve to a dataset (the path doesn’t exist or is not a dataset). You might want to check first if it does using `PetscViewerHDF5HasObject()`.

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERHDF5`, `PetscViewerHDF5Open()`, `PetscViewerHDF5HasAttribute()`, `PetscViewerHDF5WriteObjectAttribute()`, `PetscViewerHDF5ReadObjectAttribute()`, `PetscViewerHDF5HasObject()`, `PetscViewerHDF5PushGroup()`, `PetscViewerHDF5PopGroup()`, `PetscViewerHDF5GetGroup()`

## Level

advanced

## Location

src/sys/classes/viewer/impls/hdf5/hdf5v.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages